/*Chip used*/
#include "chip.h"

// initialisation of the MAX6955
void initMAX6955(unsigned char driver)
{
	writeMAX6955(driver, reg_decodeMode, 0x00); // no decode mode but directly controlled discrete LEDs
	writeMAX6955(driver, reg_scanLimit, 0x07); // 0 to 7 digits
	writeMAX6955(driver, reg_configuration, 0x05); 
	writeMAX6955(driver, reg_globalIntensity, 0x0F); // intensity maximum
	intensity=15;
	writeMAX6955(driver, reg_digitType, 0xFF); // all 7 segment
	writeMAX6955(driver, reg_displayTest, 0x01); // turn on all LEDs
	_delay_ms(1000);
	writeMAX6955(driver, reg_displayTest, 0x00); // turn off all LEDs
}

// function writeMAX6955
void writeMAX6955(unsigned char driver, unsigned char command, unsigned char data)
{
	i2c_start(driver); // send start condition + slave address + write bit
	i2c_write(command); // write the register of the MAX6955 I want to write in and if not ACK, go to ERROR
	i2c_write(data); // write the data I want to put in the register I chose and wait for ACK
	i2c_stop();
}

// initialisation of the I2C expander
void initMCP23008()
{
	i2c_start(0x40); // start + slave adresse + write bit
	i2c_write(0x00); // select IODIR register
	i2c_write(0xFF); // P0 to P7 are input
	i2c_write(0x00); // write nothing on IPOL (0x01)
	i2c_write(0xFF); // all buttons enabled interrupt on GPINTEN (0x02)
	i2c_write(0xFF); // def value for each button on DEFVAL (0x03)
	i2c_write(0xFF); // state button compares to DEFVAL on INTCON (0x04)
	i2c_write(0x22); // disable further sequential write operation on IOCON (0x05)
	i2c_stop();
}

// read state of the different buttons
void read_state_buttons()
{
	i2c_start(0x40); //start + send slave address + write bit 1
	i2c_write(0x09); // select GPIO register (with the state of the buttons)
	i2c_start(0x41); // restart + send slave address + read bit 1
}

// initialisation of the mp3 decoder
void init_vs1011()
{
	
}

// play music (one song and stop)
void playMusic()
{
	
}
