/* Initialisation */

#include "init.h"

void init_general()
{
        // led
        DDRD |= (1 << DDD6); // Set PD6 as an output (LED) for different tests 
  
	// initialisation of i2c
	i2c_init();
	
	// initialisation of the four MAX6955
	initMAX6955(0xC0); 
	initMAX6955(0xC2);
	initMAX6955(0xC8);
	initMAX6955(0xCA);
	
	//initialisation of the expander I2C
	initMCP23008();
	
	//initialisation of the ADC for phototransistor
	DDRA &= ~(1 << DDA2); // Set PA2 as an input (phototransistor)
	PRR &= ~(1 << PRADC); // Power the ADC (powered when PRADC=0)
	ADCSRA |= (1 << ADEN); // Enable ADC
	ADMUX &= ~(1 << REFS1) & ~(1 << REFS0); // Vcc used as analog reference REF[0,0]
	ADMUX |= (1 << MUX1); // Select channel 2 (where the photo resistor is connected)
	ADCSRB |= (1 << ADLAR); // Result left adjusted (8-bit result and we just need to read the register ADCH)
	ADCSRA |= (1 << ADATE); // Auto Triggering of the ADC is enabled
	ADCSRB &= ~(1 << ADTS0) & ~(1 << ADTS1) & ~(1 << ADTS2); // Free Running Mode (trigger source is the interrupt flag)
	ADCSRA |= (1 << ADSC); // Start the first conversion
	ADCSRA |= (1 << ADPS0) | (1 << ADPS1) | (1 << ADPS2); // division factor set to 128 (lower frequency)
	
	//initialisation of the SPI/music
        init_spi();
	init_vs1011();
}
